jQuery(function($) {
	var ppTAC = (function() {
    function getCookie(cname) {
        var name = cname + "=";
        var ca = document.cookie.split(';');
        for(var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    }
    function setCookie(cname, cvalue, exdays) {
        var d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        var expires = "expires="+d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";path=/;" + expires;
    }
	$('head').append('<link rel="stylesheet" href="//picsrv.fora.pl/cdn/tac-fora/pp-t-a-c.css" type="text/css" />');
    $('body').append('<div class="pp-t-a-c js-pp-t-a-c" style="display: none;"><div class="t-a-c__overlay"></div><div class="t-a-c__box"><div class="t-a-c__box-header"><span class="header-text">Szanowna Użytkowniczko, <span>Szanowny Użytkowniku,</span></span><a href="javascript:;" class="t-a-c__btn-close js-pp-t-a-c-close"></a></div><div class="t-a-c__box-content"><div class="content-inner"><p>dbając o najwyższe standardy ochrony Twoich danych osobowych, w związku z wejściem w życie Ogólnego Rozporządzenia o Ochronie Danych Osobowych (RODO) zaktualizowaliśmy politykę prywatności serwisu dostosowując ją do nowych regulacji. Możesz się z nią zapoznać w tym miejscu: <a href="http://www.fora.pl/index.php?file=regulations" target="_blank">Kliknij tutaj</a></p></div></div><div class="t-a-c__box-bottom"><div class="bottom-inner"><a href="javascript:;" class="t-a-c__box__btn js-pp-t-a-c-close"><span class="t-a-c__box__btn__label">Przejdź do serwisu</span></a></div></div></div></div>')
			 .on('click', '.js-pp-t-a-c-close', function() {
      var container = $(this).parents('.js-pp-t-a-c');
      setCookie('pp-t-a-c-info', true, 365);
      container.fadeOut(300);
    });	
    function checkIfShow() {
      var container = $(".js-pp-t-a-c"), flag;
      if( container && container.length ) {
      	flag = getCookie('pp-t-a-c-info');
      	if( !flag )
      		container.fadeIn(300);
      }
    }
    checkIfShow();
	})();
});